automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH 1/6] Test that aclocal(s) used by the testsuite and by autoconf m


From: Stefano Lattarini
Subject: [PATCH 1/6] Test that aclocal(s) used by the testsuite and by autoconf match.
Date: Thu, 19 Aug 2010 14:54:52 +0200
User-agent: KMail/1.13.3 (Linux/2.6.30-2-686; KDE/4.4.4; i686; ; )

* tests/remake0.test: New test.
* tests/Makefile.am (TESTS): Updated.
---
 ChangeLog          |    6 ++++++
 tests/Makefile.am  |    1 +
 tests/Makefile.in  |    1 +
 tests/remake0.test |   38 ++++++++++++++++++++++++++++++++++++++
 4 files changed, 46 insertions(+), 0 deletions(-)
 create mode 100755 tests/remake0.test
From b091f909a07bc346f2425d538a05d97b135c6f71 Mon Sep 17 00:00:00 2001
From: Stefano Lattarini <address@hidden>
Date: Wed, 18 Aug 2010 16:10:50 +0200
Subject: [PATCH 1/6] Test that aclocal(s) used by the testsuite and by autoconf 
match.

* tests/remake0.test: New test.
* tests/Makefile.am (TESTS): Updated.
---
 ChangeLog          |    6 ++++++
 tests/Makefile.am  |    1 +
 tests/Makefile.in  |    1 +
 tests/remake0.test |   38 ++++++++++++++++++++++++++++++++++++++
 4 files changed, 46 insertions(+), 0 deletions(-)
 create mode 100755 tests/remake0.test

diff --git a/ChangeLog b/ChangeLog
index 934eba6..92f2063 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2010-08-19  Stefano Lattarini  <address@hidden>
+
+       Test that autoconf(s) used by the testsuite and by aclocal match.
+       * tests/remake0.test: New test.
+       * tests/Makefile.am (TESTS): Updated.
+
 2010-08-18  Stefano Lattarini  <address@hidden>
 
        Fix potential regressions in depcomp{3,5}.test.
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 0558149..35019bb 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -594,6 +594,7 @@ python11.test \
 python12.test \
 recurs.test \
 recurs2.test \
+remake0.test \
 remake.test \
 remake2.test \
 remake3.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index a06026e..91ebcf7 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -832,6 +832,7 @@ python11.test \
 python12.test \
 recurs.test \
 recurs2.test \
+remake0.test \
 remake.test \
 remake2.test \
 remake3.test \
diff --git a/tests/remake0.test b/tests/remake0.test
new file mode 100755
index 0000000..16fd2a5
--- /dev/null
+++ b/tests/remake0.test
@@ -0,0 +1,38 @@
+#! /bin/sh
+# Copyright (C) 2010 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Make sure the autoconf used by $ACLOCAL and the autoconf used by the
+# Automake's testsuite match.  This is mostly a sanity check for the
+# Automake's testsuite, and its failure is an indication that the others
+# tests (especailly other `remake*.test' tests) might experience spurious
+# problems.
+
+. ./defs || Exit 1
+
+set -e
+
+: > Makefile.am
+
+$ACLOCAL 2>stderr || { cat stderr >&2; Exit 1; }
+cat stderr >&2
+grep -i 'warning.*generated for autoconf' stderr && Exit 1
+grep -i 'another version of autoconf' stderr && Exit 1
+$AUTOCONF 2>stderr || { cat stderr >&2; Exit 1; }
+cat stderr >&2
+grep -i 'warning.*generated for autoconf' stderr && Exit 1
+grep -i 'another version of autoconf' stderr && Exit 1
+
+:
-- 
1.7.1


reply via email to

[Prev in Thread] Current Thread [Next in Thread]